Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector
Interface IterableSelector<T>

All Superinterfaces:
  EventListener, Iterable<T>, Selector, SolverLifecycleListener, SolverPhaseLifecycleListener

All Known Subinterfaces:
  EntityIndependentValueSelector, EntitySelector, ListIterableSelector<T>, MoveSelector, PillarSelector, SubChainSelector

All Known Implementing Classes:
  AbstractCachingEntitySelector, AbstractCachingMoveSelector, AbstractEntitySelector, AbstractMoveSelector, CachingEntitySelector, CachingMoveSelector, CachingValueSelector, CartesianProductMoveSelector, ChangeMoveSelector, CompositeMoveSelector, DefaultSubChainSelector, FilteringEntitySelector, FilteringMoveSelector, FromSolutionEntitySelector, FromSolutionPropertyValueSelector, GenericMoveSelector, MimicRecordingEntitySelector, MimicReplayingEntitySelector, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, PillarSwapMoveSelector, ProbabilityEntitySelector, ProbabilityMoveSelector, ProbabilityValueSelector, SameValuePillarSelector, ShufflingEntitySelector, ShufflingMoveSelector, ShufflingValueSelector, SortingEntitySelector, SortingMoveSelector, SortingValueSelector, SubChainChangeMoveSelector, SubChainSwapMoveSelector, SwapMoveSelector, UnionMoveSelector

    public interface IterableSelector<T>

extends Selector, Iterable<T>

Method Summary
`long` | `getSize()` A random JIT `Selector` with `Selector.isNeverEnding()` true should return a size as if it would be able to return each distinct element only once, because the size can be used in `SelectionProbabilityWeightFactory`.

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`getCacheType, isContinuous, isNeverEnding`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getSize

    long getSize()

  A random JIT `Selector` with `Selector.isNeverEnding()` true should return a size as if it would be able to return each distinct element only once, because the size can be used in `SelectionProbabilityWeightFactory`.

  Returns:
    the approximate number of elements generated by this `Selector`, always >= 0
  Throws:
    `IllegalStateException` - if `Selector.isContinuous()` returns true, but not if only `Selector.isNeverEnding()` returns true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.